package com.bootdo.blog.dao;

import com.bootdo.blog.domain.ContentDO;

import java.util.List;
import java.util.Map;

import com.bootdo.portal.vo.IndexCarouselVO;
import com.bootdo.portal.vo.NameAndCountVO;
import com.bootdo.portal.vo.PoliciesAndRegulationsVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 文章内容
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2017-10-03 16:17:48
 */
@Mapper
public interface ContentDao {

	ContentDO get(Long cid);
	
	List<ContentDO> list(Map<String,Object> map);

    int count(Map<String, Object> map);

    int save(ContentDO content);

    int update(ContentDO content);

    int remove(Long cid);

    int batchRemove(Long[] cids);

    /**
     * 获取首页轮播图列表
     *
     * @return
     */
    List<IndexCarouselVO> getCarousel();

    /**
     * 根据位置获取文章数据列表
     *
     * @param position
     * @return
     */
    List<IndexCarouselVO> getArticleByTags(@Param("position") Integer position);

    /**
     * 获取 上报数据最多的企业前四
     *
     * @return
     */
    List<NameAndCountVO> getPopularEnterprise();

    /**
     * 热门行业统计
     *
     * @return
     */
    List<NameAndCountVO> getPopularIndustry();

    /**
     * 门户获取政策法规列表
     *
     * @param parameter
     * @return
     */
    List<PoliciesAndRegulationsVO> portalPoliciesRegulations(Map<String, Object> parameter);

    /**
     * 门户获取政策法规总数量
     *
     * @param parameter
     * @return
     */
    Long portalPoliciesRegulationsCount(Map<String, Object> parameter);
}
